'use client';
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const WatchCondition_1 = require("./WatchCondition");
const context_1 = require("../Form/context");
const withCondition = (Field) => {
    const CheckForCondition = (props) => {
        const { admin: { condition, } = {}, } = props;
        if (condition) {
            return react_1.default.createElement(WithCondition, { ...props });
        }
        return react_1.default.createElement(Field, { ...props });
    };
    const WithCondition = (props) => {
        const { name, path, admin: { condition, } = {}, } = props;
        const passesCondition = (0, context_1.useFormFields)(([fields]) => { var _a; return (_a = fields[path]) === null || _a === void 0 ? void 0 : _a.passesCondition; });
        if (passesCondition) {
            return (react_1.default.createElement(react_1.default.Fragment, null,
                react_1.default.createElement(WatchCondition_1.WatchCondition, { path: path, name: name, condition: condition }),
                react_1.default.createElement(Field, { ...props })));
        }
        return (react_1.default.createElement(WatchCondition_1.WatchCondition, { path: path, name: name, condition: condition }));
    };
    return CheckForCondition;
};
exports.default = withCondition;
//# sourceMappingURL=index.js.map